# Uses of Class
net.shibboleth.idp.attribute.filter.policyrule.saml.impl.RequesterEntityAttributeRegexPolicyRule

Packages that use RequesterEntityAttributeRegexPolicyRule
Package
Description
net.shibboleth.idp.attribute.filter.spring.saml.impl
Parsers for the SAML rules.

## Uses of RequesterEntityAttributeRegexPolicyRule in net.shibboleth.idp.attribute.filter.spring.saml.impl

Methods in net.shibboleth.idp.attribute.filter.spring.saml.impl that return types with arguments of type RequesterEntityAttributeRegexPolicyRule
Modifier and Type
Method
Description
`protected Class<RequesterEntityAttributeRegexPolicyRule>`
RequesterEntityAttributeRegexRuleParser.`getNativeBeanClass()`
Method return the native Matcher implementation.